[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.DoMouseWheelUp

Handles a mouse wheel up event in the grid control.

## Declaration

Source position: dbgrids.pas line 434

`protected function TCustomDBGrid.DoMouseWheelUp(`
`Shift: TShiftState;`
`MousePos: TPoint`
`):Boolean; override;`

## Arguments

`Shift` |  | Shift state for the mouse wheel event.
`MousePos` |  | Location of the mouse wheel event.

## Function result

True when the mouse event is handled in the method.

## Description

DoMouseWheelUp is an overridden Boolean function used to handle mouse wheel up events in the grid control. The return value is True when the mouse wheel event has been handled in the method. DoMouseWheelUp signals the OnMouseWheelUp event handler when it has been assigned to handle the mouse event. If OnMouseWheelUp cannot handle the mouse event, and the DataLink is marked as Active, DataLink calls its MoveBy method.